org.omg.CORBA

## Interface DynArray

All Superinterfaces:
  DynAny, Object

Deprecated.
Use the new DynArray instead

    @Deprecated
    public interface DynArray
    extends Object, DynAny

Represents a `DynAny` object associated with an array.

### Method Summary

Methods
`Any[]` `get_elements()` Deprecated. Returns the value of all the elements of this array.
`void` `set_elements(Any[] value)` Deprecated. Sets the value of this `DynArray` object to the given array.

### Methods inherited from interface org.omg.CORBA.DynAny

`assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

### Method Detail

#### get_elements

    Any[] get_elements()

Deprecated.
Returns the value of all the elements of this array.

Returns:
  the array of `Any` objects that is the value for this `DynArray` object
See Also:
  `set_elements(org.omg.CORBA.Any[])`

#### set_elements

    void set_elements(Any[] value)
                      throws InvalidSeq

Deprecated.
Sets the value of this `DynArray` object to the given array.

Parameters:
  `value` - the array of `Any` objects
Throws:
  `InvalidSeq` - if the sequence is bad
See Also:
  `get_elements()`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.